import { Subject } from 'rxjs';
import { Environment } from './environment';
import mongoose = require('mongoose');
import { ConsoleLogger } from '../logging/console-logger';
export declare class DbDriver {
    protected env: Environment;
    protected logger: ConsoleLogger;
    connected: Subject<void>;
    constructor(env: Environment, logger: ConsoleLogger);
    connect(): Promise<typeof mongoose>;
    disconnect(): Promise<void>;
    get db(): mongoose.Connection;
}
